| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
Digikam::TransactionItem Class Reference
Inheritance diagram for Digikam::TransactionItem:

## Public Slots
void | slotItemCanceled ()

## Public Member Functions
| TransactionItem (QWidget *const parent, ProgressItem *const item, bool first)
void | addSubTransaction (ProgressItem *const item)
void | hideHLine ()
ProgressItem * | item () const
void | setItemComplete ()
| The progressitem is deleted immediately, we take 5s to go out, so better not use mItem during this time.
void | setLabel (const QString &)
void | setProgress (int progress)
void | setStatus (const QString &)
void | setThumbnail (const QPixmap &)
void | setTotalSteps (int totalSteps)
Public Member Functions inherited from Digikam::DVBox
| DVBox (QWidget *const parent=nullptr)
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Additional Inherited Members
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override

## Member Function Documentation

## ◆ setStatus()

void Digikam::TransactionItem::setStatus | ( | const QString & | status | ) |

Note
  the given text is interpreted as RichText, so you might need to use .toHtmlEscaped() it before passing.